import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/switch_project_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/switch_project_entity.g.dart';

@JsonSerializable()
class SwitchProjectEntity {
	@JSONField(name: "cut_user")
	List<IndexOptionEntity>? cutUser = [];
	@JSONField(name: "user_list")
	List<SwitchProjectUserList>? userList = [];

	SwitchProjectEntity();

	factory SwitchProjectEntity.fromJson(Map<String, dynamic> json) => $SwitchProjectEntityFromJson(json);

	Map<String, dynamic> toJson() => $SwitchProjectEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}


@JsonSerializable()
class SwitchProjectUserList {
	@JSONField(name: "admin_id")
	String? adminId;
	@JSONField(name: "admin_name")
	String? adminName;
	@JSONField(name: "employer_name")
	String? employerName;

	SwitchProjectUserList();

	factory SwitchProjectUserList.fromJson(Map<String, dynamic> json) => $SwitchProjectUserListFromJson(json);

	Map<String, dynamic> toJson() => $SwitchProjectUserListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}